s3games.robot

## Class RobotLocation

- java.lang.Object
- - s3games.robot.RobotLocation

-     public class RobotLocation
      extends java.lang.Object

  Represents a particular robot location - i.e. two sets of all servo angles. First set for the "above the location" position [0-4], second set for the "at the location" position [5-9].

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double[]` | `angles` 2x5 angles
    `static int` | `NUMBER_OF_ROBOT_ANGLES` the arm has 5 degrees of freedom + the gripper

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RobotLocation()` construct an empty location
    `RobotLocation(java.lang.String locations)` parse the location specification string as loaded from the game specification file

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RobotLocation` | `getCopy()` make a copy of this location
    `java.lang.String` | `toString()` convert the first part of the location to string for visualization in robot controll window

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NUMBER_OF_ROBOT_ANGLES

          public static final int NUMBER_OF_ROBOT_ANGLES

      the arm has 5 degrees of freedom + the gripper
      See Also:
        Constant Field Values

    - #### angles

          public double[] angles

      2x5 angles

  - ### Constructor Detail

    - #### RobotLocation

          public RobotLocation()

      construct an empty location

    - #### RobotLocation

          public RobotLocation(java.lang.String locations)
                        throws java.lang.Exception

      parse the location specification string as loaded from the game specification file
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getCopy

          public RobotLocation getCopy()

      make a copy of this location

    - #### toString

          public java.lang.String toString()

      convert the first part of the location to string for visualization in robot controll window
      Overrides:
        `toString` in class `java.lang.Object`